#pragma once
#include "unit.h"



class Aufzieh : public Unit
{

  public:

    int                       m_WalkSpeed;

    GR::f32                   m_fJumpDelay;

    int                       m_JumpAnimPos;
    bool                      m_OrigFacingDir;


    Aufzieh();


    virtual void              Update( Level& Level, const GR::f32 fElapsedTime );
    virtual void              UpdateFixed( Level& Level );


    virtual void              ProcessEvent( Level& Level, const eUnitEvent& Event );

};
